REM http://www.hdfgroup.org/ftp/HDF/HDF_Current/src/hdf-4.2.9.tar.bz2

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=hdf4
set V=4.2.9
set B=1

set R=..\..\..\release\%P%
mkdir %R%

set pf="%ProgramFiles(x86)%"
if "%pf%"=="" set pf="%ProgramFiles%"
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\CMake 2.8\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;c:\cygwin\bin;%PATH%

mkdir build
cd build

cmake -G "Visual Studio 10 Win64" ^
	-D HDF4_BUILD_FORTRAN=OFF ^
	-D HDF4_ENABLE_NETCDF=OFF ^
	-D CMAKE_INSTALL_PREFIX=../install ^
	-D HDF4_INSTALL_DATA_DIR=. ^
	-D HDF4_INSTALL_CMAKE_DIR=share/cmake ^
	-D JPEG_LIBRARY=%OSGEO4W_ROOT%/lib/jpeg_i.lib ^
	-D JPEG_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D ZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/zdll.lib ^
	-D ZLIB_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv HDF4.sln /Project ALL_BUILD /Build Release
if errorlevel 1 (echo build error ^ goto error)


devenv HDF4.sln /Project INSTALL /Build Release
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint
copy ..\COPYING %R%\%P%-%V%-%B%.txt

tar -C install -cjf %R%\%P%-%V%-%B%.tar.bz2 include lib share
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/setup.hint

:error
